# Criar Comprador

Antes de criar o cliente no provedor, é necessário criá-lo dentro da Barte através da chamada abaixo.

{% embed url="<https://barte.gitbook.io/barte-api/cobranca-e-pagamentos/como-realizar-uma-cobranca/compradores/criar-buyer>" fullWidth="false" %}

*Após isso, siga para a criação do cliente no provedor utilizando a chamada abaixo.*

## Criar cliente na Yuno

> Cria um cliente na Yuno vinculado ao comprador da Barte.

```json
{"openapi":"3.0.0","info":{"title":"Barte Providers Yuno API v2","version":"2.0.0"},"tags":[{"name":"Providers - Yuno","description":"Endpoints de integração com Yuno"}],"servers":[{"url":"https://api.barte.com","description":"Servidor de Produção"},{"url":"https://sandbox-api.barte.com","description":"Servidor de Sandbox"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-Token-Api","description":"Token de autenticação para acesso à API"}},"schemas":{"YunoCreateCustomerResponse":{"type":"object","properties":{"integrationCustomerId":{"type":"string","description":"Identificador do cliente na integração Yuno"}}},"Error":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"}}}}}}}},"paths":{"/v2/providers/yuno/buyers/{uuid_buyer_barte}":{"post":{"summary":"Criar cliente na Yuno","description":"Cria um cliente na Yuno vinculado ao comprador da Barte.","tags":["Providers - Yuno"],"parameters":[{"name":"uuid_buyer_barte","in":"path","required":true,"description":"UUID do comprador na Barte","schema":{"type":"string"}}],"responses":{"200":{"description":"Cliente criado na Yuno com sucesso","content":{"application/json":{"schema":{"$ref":"#/components/schemas/YunoCreateCustomerResponse"}}}},"400":{"description":"Requisição inválida","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.barte.com/api-reference/wallet-google-pay-e-apple-pay/criar-comprador.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
